package com.github.wxiaoqi.security.admin.mapper;

import com.github.wxiaoqi.security.admin.dto.BaseUserDTO;
import com.github.wxiaoqi.security.admin.entity.User;
import com.github.wxiaoqi.security.admin.vo.BaseUserVo;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface UserMapper extends Mapper<User> {
    public List<User> selectMemberByGroupId(@Param("groupId") int groupId);
    public List<User> selectLeaderByGroupId(@Param("groupId") int groupId);
//    public List<User> userPage(@Param("groupId") String name);
   User getUserByUid(@Param("to_uid") Integer to_uid);

   List<BaseUserVo> selectList(BaseUserDTO baseUserDTO);
}